#include "level.h"
#include "world.h"
#include "mario.h"
#include "score.h"
#include "ennemi.h"
#include "keyboard.h"
#include <plateforme.h>

#include <gint/display.h>
#include <gint/std/stdlib.h>
#include <gint/keyboard.h>
#include <gint/timer.h>
#include <gint/std/string.h>


void malloc_error()
{
	extern image_t img_ram;
	timer_stop(0);
	dimage(0,0,&img_ram);
	dupdate();
	while (1)
		getkey();
}


void init_level(world_t * lvl)
{
	mario.p.vx=0;
	mario.p.vy=0;
	if (w_current)
	{
		free(w_current);
	}
	int size=sizeof(world_t)*w_current_y*w_current_x;
	w_current=malloc(size);
	if (w_current==0)
		malloc_error();

	memcpy(w_current, lvl, size);
}

void init_ennemies(ennemi_t * table)
{
	if (ennemis_global)
	{
		free(ennemis_global);
	}
	int size=sizeof(ennemi_t)*ennemis_global_size;
	ennemis_global=malloc(size);
	if (ennemis_global==0)
		malloc_error();

	memcpy(ennemis_global, table, size);
}

static void init_plateformes(plateforme_t * table)
{
	if (plateformes)
	{
		free(plateformes);
	}
	int size=sizeof(plateforme_t)*plateforme_table_size;
	plateformes=malloc(size);
	if (plateformes==0)
		malloc_error();

	memcpy(plateformes, table, size);
}

/*
	ennemis_global_size=10;
	ennemi_t ennemies0[]=
	{
		GOOMBA(176,16,-1),
		GOOMBA(321,16,-1),
		GOOMBA(409,16,-1),
		GOOMBA(421,16,-1),
		GOOMBA(640,80,-1),
		GOOMBA(656,80,-1),
		GOOMBA(776,16,-1),
		GOOMBA(788,16,-1),
		KOOPA_V(856,16,-1),
		GOOMBA(912,16,-1),
		GOOMBA(924,16,-1)
	};
	init_ennemies(ennemies0);

	plateforme_t plateforme0[]=
	{
		PLATEFORME_MOVING_H(15,25,16,1,0,60)
	};
	plateforme_table_size=1;
	init_plateformes(plateforme0);*/

void set_level(int n)
{
	new_level();

	if (n==0)
	{
		w_current_x=226;
		w_current_y=13;
		world_t lvl[]=
		{
			{EARTH,0x01},		{EARTH,0x00},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{GIFT,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x00},		{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x03},		{TUYAU,0x02},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x13},		{TUYAU,0x12},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x02},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x13},		{TUYAU,0x13},		{TUYAU,0x12},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x02},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x13},		{TUYAU,0x13},		{TUYAU,0x13},		{TUYAU,0x12},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x02},		{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x13},		{TUYAU,0x13},		{TUYAU,0x13},		{TUYAU,0x12},		{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{GIFT,0x131},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},
			{EARTH,0x21},		{EARTH,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x01},		{EARTH,0x00},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{GIFT,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{NUAGE,0x01},		{NUAGE,0x00},
			{EARTH,0x21},		{EARTH,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{NUAGE,0x11},		{NUAGE,0x10},
			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{NUAGE,0x11},		{NUAGE,0x10},
			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{NUAGE,0x21},		{NUAGE,0x20},
			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x01},		{EARTH,0x00},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0x15},		{0,0},				{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0x41},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},				{GIFT,0x21},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x01},		{EARTH,0x10},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{NUAGE,0x01},		{NUAGE,0x00},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{0,0},  			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x01},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0x11},   	{0,0x10},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0x21},   	{0,0x20},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x21},		{EARTH,0x20},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},   {0,0},
			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},   {0,0},
			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},   {0,0},
			{EARTH,0x01},		{EARTH,0x00},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{0,0},  			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x03},		{TUYAU,0x02},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},   {0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x13},		{TUYAU,0x12},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},   {0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x10},		{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BUISSON,0x20},		{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{GIFT,0x11},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{BRICK,0},			{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x03},		{TUYAU,0x02},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x13},		{TUYAU,0x12},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{BLOC,0},			{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x01},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{COLLINE,0x11},		{COLLINE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x11},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{COLLINE,0x21},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BLOC,0},			{END_LEVEL,0x1102},	{END_LEVEL,0x1102},	{END_LEVEL,0x1202},	{END_LEVEL,0x1202},	{END_LEVEL,0x1202},	{END_LEVEL,0x1302},	{END_LEVEL,0x1401},	{END_LEVEL,0x1400},	{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x01},		{NUAGE,0x00},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x11},		{NUAGE,0x10},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{CASTLE,0x02},		{CASTLE,0x01},		{CASTLE,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{NUAGE,0x21},		{NUAGE,0x20},		{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{CASTLE,0x12},		{CASTLE,0x11},		{CASTLE,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{CASTLE,0x22},		{CASTLE,0x21},		{CASTLE,0x20},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},			{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{COIN,0},			{0,0},				{COIN,0},			{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{COIN,0},			{0,0},				{COIN,0},			{0,0},				{COIN,0},			{0,0},				{0,0},				{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{COIN,0},			{0,0},				{COIN,0},			{0,0},				{COIN,0},			{0,0},				{0,0},				{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{COIN,0},			{0,0},				{COIN,0},			{0,0},				{COIN,0},			{0,0},				{0,0},				{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{COIN,0},			{0,0},				{COIN,0},			{0,0},				{COIN,0},			{0,0},				{0,0},				{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{COIN,0},			{0,0},				{COIN,0},			{0,0},				{COIN,0},			{0,0},				{0,0},				{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{BRICK,0},			{BRICK,0},			{BRICK,0},			{COIN,0},			{0,0},				{COIN,0},			{0,0},				{0,0},				{0,0},				{0,0},				{BRICK,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x01},		{TUYAU,0x00},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x11},		{TUYAU,0x10},		{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},				{0,0},
			{EARTH,0x11},		{EARTH,0x10},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03},		{TUYAU,0x03}
		};
		init_level(lvl);

		ennemis_global_size=10;
	ennemi_t ennemies0[]=
	{
		GOOMBA(176,16,-1),
		GOOMBA(321,16,-1),
		GOOMBA(409,16,-1),
		GOOMBA(421,16,-1),
		GOOMBA(640,80,-1),
		GOOMBA(656,80,-1),
		GOOMBA(776,16,-1),
		GOOMBA(788,16,-1),
		KOOPA_V(856,16,-1),
		GOOMBA(912,16,-1),
		GOOMBA(924,16,-1)
	};
	init_ennemies(ennemies0);

	plateforme_t plateforme0[]=
	{
		PLATEFORME_MOVING_H(15,25,16,1,0,60)
	};
	plateforme_table_size=1;
	init_plateformes(plateforme0);


		mario_x_max=0;
		mario.p.x=25;
		mario.p.y=16;

	}

	if (n==1)
	{
		w_current_x = 280;
		w_current_y = 14;
		world_t lvl[]=
		{
			{EARTH,0x11}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x21}, {EARTH,0x20}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {TUYAU,0x04}, {TUYAU,0x03}, {TUYAU,0x03}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {TUYAU,0x14}, {TUYAU,0x13}, {TUYAU,0x13}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x20}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x00}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {COIN,0}, {0,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {COIN,0}, {0,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {COIN,0}, {0,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {COIN,0}, {0,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,'?'}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {GIFT,0x21}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x20}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x00}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,'?'}, {0,0}, {0,0}, {GIFT,0x11}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x20}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x00}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x20}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x00}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x20}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {BRICK,0}, {0,'?'}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x00}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {COIN,0}, {0,0}, {0,'?'}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {BRICK,0}, {0,'?'}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x02}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x12}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0x15}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {GIFT,0x21}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0x15}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x20}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x00}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x20}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x00}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x00}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x00}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x00}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {BLOC,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x02}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x12}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0x15}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x02}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x12}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x02}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x12}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, {BRICK,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,'?'}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,'?'}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {GIFT,0x11}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {TUYAU,0x04}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x03}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {TUYAU,0x14}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x13}, 
			{EARTH,0x21}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x00}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, 
			{EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x00}, {TUYAU,0x03}, {TUYAU,0x03}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x00}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {TUYAU,0x11}, {TUYAU,0x10}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {TUYAU,0x21}, {TUYAU,0x20}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {COIN,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {COIN,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {COIN,0}, {0,0}, {0,0}, {0,0}, {0,0}, {BRICK,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x10}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x20}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{TUYAU,0x03}, {TUYAU,0x03}, {TUYAU,0x02}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,'?'}, {0,0}, {0,0}, {EARTH,0x10}, 
			{TUYAU,0x13}, {TUYAU,0x13}, {TUYAU,0x12}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {0,0}, {EARTH,0x10}, 
			{EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x01}, {EARTH,0x10}, 
		};
		init_level(lvl);

		ennemi_t ennemies0[]={
			GOOMBA(152, 8, -1),
			GOOMBA(168, 8, -1),
			GOOMBA(264, 8, -1),
			GOOMBA(408, 8, -1),
			GOOMBA(424, 8, -1),
			KOOPA_V(440, 8, -1),
			GOOMBA(960, 64, -1),
			GOOMBA(968, 88, -1),
			GOOMBA(1064, 8, -1),
			GOOMBA(1320, 8, -1),
			GOOMBA(1336, 8, -1),
			KOOPA_V(1352, 8, -1),
			KOOPA_V(1648, 8, -1),
			GOOMBA(1728, 8, -1),
			GOOMBA(1744, 8, -1),
		};
		ennemis_global_size=12;
		init_ennemies(ennemies0);


		mario_x_max=0;
		mario.p.x=25;
		mario.p.y=32;

	}
}

void get_lvl_id(int n, char * str)
{
	str[3]='\0';
	switch (n)
	{
		case 0:
		str[0]='1';
		str[1]='-';
		str[2]='1';
		return;
		case 1:
		str[0]='1';
		str[1]='-';
		str[2]='2';
		return;
	}
}
